## python-automaton 0.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr<2.0,>=1.6

# Python 2->3 compatibility library.
six>=1.9.0

# For deprecation of things
debtcollector>=0.3.0 # Apache-2.0

# For pretty formatting machines/state tables...
PrettyTable<0.8,>=0.7

=== debian/changelog ===
python-automaton (0.7.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 05 Oct 2015 15:58:51 +0000

python-automaton (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/gbp.conf: Update debian-branch to debian/liberty.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Oct 2015 16:50:00 -0400

python-automaton (0.6.0-2) experimental; urgency=medium

  [ James Page ]
  * d/control,rules: Switch to using openstack-pkg-tools to configure
    OSLO_PACKAGE_VERSION, easing backporting to older Debian and Ubuntu
    releases.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 20:06:13 +0000

python-automaton (0.6.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 19:58:16 +0000

python-automaton (0.5.0-1) experimental; urgency=medium

  * Initial release. (Closes: #794112)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 17:26:18 +0200

=== debian/control ===
Source: python-automaton
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-debtcollector (>= 0.3.0),
                     python-hacking,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable,
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-debtcollector (>= 0.3.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable,
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit (>= 1.1.0),
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-automaton.git
Vcs-Git: git://anonscm.debian.org/openstack/python-automaton.git
Homepage: http://www.openstack.org/

Package: python-automaton
Architecture: all
Depends: python-debtcollector (>= 0.3.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-automaton-doc,
Description: friendly state machines - Python 2.7
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the Python 2.7 module.

Package: python3-automaton
Architecture: all
Depends: python3-debtcollector (>= 0.3.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-automaton-doc,
Description: friendly state machines - Python 3.x
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the Python 3.x module.

Package: python-automaton-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: friendly state machines - doc
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the documentation.

## python-automaton 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 # process, which may cause wedges in the gate later.
 
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
-pbr<2.0,>=1.6
+pbr>=1.6 # Apache-2.0
 
 # Python 2->3 compatibility library.
-six>=1.9.0
+six>=1.9.0 # MIT
 
 # For deprecation of things
-debtcollector>=0.3.0 # Apache-2.0
+debtcollector>=1.2.0 # Apache-2.0
 
 # For pretty formatting machines/state tables...
-PrettyTable<0.8,>=0.7
+PrettyTable<0.8,>=0.7 # BSD

=== debian/changelog ===
python-automaton (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:07:01 +0200

python-automaton (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 17:08:34 +0000

python-automaton (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * VCS fields using HTTPS.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 17:03:12 +0000

python-automaton (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 07:33:19 +0000

python-automaton (0.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 17:53:49 +0000

=== debian/control ===
--- 
+++ 
@@ -15,30 +15,30 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
-                     python-debtcollector (>= 0.3.0),
+                     python-debtcollector (>= 1.2.0),
                      python-hacking,
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-prettytable,
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-debtcollector (>= 0.3.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-debtcollector (>= 1.2.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-prettytable,
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit (>= 1.1.0),
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-automaton.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-automaton.git
-Homepage: http://www.openstack.org/
+Standards-Version: 3.9.7
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-automaton?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-automaton -b debian/newton
+Homepage: https://github.com/openstack/automaton
 
 Package: python-automaton
 Architecture: all
-Depends: python-debtcollector (>= 0.3.0),
+Depends: python-debtcollector (>= 1.2.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-six (>= 1.9.0),
@@ -57,7 +57,7 @@
 
 Package: python3-automaton
 Architecture: all
-Depends: python3-debtcollector (>= 0.3.0),
+Depends: python3-debtcollector (>= 1.2.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-six (>= 1.9.0),

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = https://github.com/openstack/automaton.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-automaton; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-automaton; \
	done
	rm -rf $(CURDIR)/debian/python*-automaton/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-automaton-doc/usr/share/doc/python-automaton-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-automaton 1.6.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
-pbr>=1.6 # Apache-2.0
+pbr>=1.8 # Apache-2.0
 
 # Python 2->3 compatibility library.
 six>=1.9.0 # MIT
@@ -12,4 +12,4 @@
 debtcollector>=1.2.0 # Apache-2.0
 
 # For pretty formatting machines/state tables...
-PrettyTable<0.8,>=0.7 # BSD
+PrettyTable<0.8,>=0.7.1 # BSD

## python-automaton 1.7.0

=== debian/changelog ===
python-automaton (1.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream relase.
  * d/control: Update dependencies.
  * d/control: Add dep-8 tests 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 09:09:25 -0500

python-automaton (1.6.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 04 Dec 2016 15:42:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-automaton
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -14,36 +15,37 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-coverage,
+Build-Depends-Indep: python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
-                     python-hacking,
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
-                     python-prettytable,
+                     python-hacking (>= 0.10.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
+                     python-prettytable (>= 0.7.1),
                      python-six (>= 1.9.0),
-                     python-testscenarios,
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python3-debtcollector (>= 1.2.0),
-                     python3-oslotest (>= 1:1.10.0),
-                     python3-prettytable,
+                     python3-oslotest (>= 1.10.0),
+                     python3-prettytable (>= 0.7.1),
                      python3-six (>= 1.9.0),
-                     python3-testscenarios,
+                     python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
                      subunit (>= 1.1.0),
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.7
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-automaton?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-automaton -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
 Homepage: https://github.com/openstack/automaton
+Testsuite: autopkgtest-pkg-python
 
 Package: python-automaton
 Architecture: all
 Depends: python-debtcollector (>= 1.2.0),
          python-pbr (>= 1.8),
-         python-prettytable,
+         python-prettytable (>= 0.7.1),
          python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: python-automaton-doc,
 Description: friendly state machines - Python 2.7
  Automaton is a friendly state machines for Python. This state machine can be
@@ -59,10 +61,10 @@
 Architecture: all
 Depends: python3-debtcollector (>= 1.2.0),
          python3-pbr (>= 1.8),
-         python3-prettytable,
+         python3-prettytable (>= 0.7.1),
          python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Suggests: python-automaton-doc,
 Description: friendly state machines - Python 3.x
  Automaton is a friendly state machines for Python. This state machine can be
@@ -77,8 +79,7 @@
 Package: python-automaton-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: friendly state machines - doc
  Automaton is a friendly state machines for Python. This state machine can be
  used to automatically run a given set of transitions and states in response to

## python-automaton 1.9.0

=== debian/changelog ===
python-automaton (1.9.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 09:52:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
@@ -41,7 +41,7 @@
 Package: python-automaton
 Architecture: all
 Depends: python-debtcollector (>= 1.2.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-prettytable (>= 0.7.1),
          python-six (>= 1.9.0),
          ${misc:Depends},
@@ -60,7 +60,7 @@
 Package: python3-automaton
 Architecture: all
 Depends: python3-debtcollector (>= 1.2.0),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 2.0.0),
          python3-prettytable (>= 0.7.1),
          python3-six (>= 1.9.0),
          ${misc:Depends},

## python-automaton 1.14.0

=== requirements.txt ===
--- 
+++ 
@@ -3,13 +3,10 @@
 # process, which may cause wedges in the gate later.
 
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
-pbr>=1.8 # Apache-2.0
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 # Python 2->3 compatibility library.
-six>=1.9.0 # MIT
-
-# For deprecation of things
-debtcollector>=1.2.0 # Apache-2.0
+six>=1.10.0 # MIT
 
 # For pretty formatting machines/state tables...
 PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-automaton (1.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jan 2018 12:06:11 -0500

python-automaton (1.13.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 08:49:55 -0500

=== debian/control ===
Source: python-automaton
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-hacking (>= 0.10.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:1.10.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslotest (>= 1:1.10.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit (>= 1.1.0),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
Homepage: https://github.com/openstack/automaton
Testsuite: autopkgtest-pkg-python

Package: python-automaton
Architecture: all
Depends:
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-automaton-doc,
Description: friendly state machines - Python 2.7
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the Python 2.7 module.

Package: python-automaton-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: friendly state machines - doc
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the documentation.

Package: python3-automaton
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-automaton-doc,
Description: friendly state machines - Python 3.x
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = https://github.com/openstack/automaton.git
+UPSTREAM_GIT = git://github.com/openstack/automaton.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/automaton/ automaton-(\d.*)\.tar\.gz

## python-automaton 1.15.0

=== debian/changelog ===
python-automaton (1.15.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 when building the sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 00:10:49 +0200

python-automaton (1.14.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:48:47 +0000

python-automaton (1.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Points VCS URLs to Salsa.
  * Ran wrap-and-sort -a.
  * Updating maintainer field.
  * Standards-Version is now 4.1.3.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Feb 2018 09:53:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-automaton
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -13,40 +12,36 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python-coverage (>= 4.0),
- python-hacking (>= 0.10.0),
- python-openstackdocstheme (>= 1.17.0),
- python-oslosphinx (>= 4.7.0),
- python-oslotest (>= 1:1.10.0),
- python-prettytable (>= 0.7.1),
- python-six (>= 1.10.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python3-openstackdocstheme (>= 1.17.0),
- python3-oslotest (>= 1:1.10.0),
- python3-prettytable (>= 0.7.1),
- python3-six (>= 1.10.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- subunit (>= 1.1.0),
- testrepository,
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
+ python-coverage,
+ python-hacking,
+ python-oslotest (>= 1:3.2.0),
+ python-prettytable,
+ python-six,
+ python-stestr (>= 2.0.0),
+ python-testtools (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-prettytable,
+ python3-six,
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.0.0),
+ subunit,
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-automaton
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-automaton.git
 Homepage: https://github.com/openstack/automaton
-Testsuite: autopkgtest-pkg-python
 
 Package: python-automaton
 Architecture: all
 Depends:
  python-pbr (>= 2.0.0),
- python-prettytable (>= 0.7.1),
- python-six (>= 1.10.0),
+ python-prettytable,
+ python-six,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -65,9 +60,14 @@
 Section: doc
 Architecture: all
 Depends:
+ python3-pbr (>= 2.0.0),
+ python3-prettytable,
+ python3-six,
  ${misc:Depends},
- ${sphinxdoc:Depends},
-Description: friendly state machines - doc
+ ${python3:Depends},
+Suggests:
+ python-automaton-doc,
+Description: friendly state machines - Python 3.x
  Automaton is a friendly state machines for Python. This state machine can be
  used to automatically run a given set of transitions and states in response to
  events (either from callbacks or from generator/iterator send() values, see
@@ -80,9 +80,10 @@
 Package: python3-automaton
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
- python3-prettytable (>= 0.7.1),
- python3-six (>= 1.10.0),
+ python3-debtcollector (>= 0.3.0),
+ python3-pbr (>= 1.8),
+ python3-prettytable,
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/automaton.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-automaton-doc/usr/share/doc/python-automaton-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-automaton 1.16.0

=== debian/changelog ===
python-automaton (1.16.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 20:16:39 +0200

python-automaton (1.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:25:44 +0100

=== debian/control ===
Source: python-automaton
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-prettytable,
 python3-six,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-automaton
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-automaton.git
Homepage: https://github.com/openstack/automaton

Package: python-automaton-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-automaton-doc,
Description: friendly state machines - Python 3.x
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the documentation.

Package: python3-automaton
Architecture: all
Depends:
 python3-debtcollector,
 python3-pbr,
 python3-prettytable,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-automaton-doc,
Description: friendly state machines - Python 3.x
 Automaton is a friendly state machines for Python. This state machine can be
 used to automatically run a given set of transitions and states in response to
 events (either from callbacks or from generator/iterator send() values, see
 PEP 342). On each triggered event, a on_enter and on_exit callback can also be
 provided which will be called to perform some type of action on leaving a
 prior state and before entering a new state.
 .
 This package contains the Python 3.x module.

## python-automaton 2.1.0

=== debian/changelog ===
python-automaton (2.1.0-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarballs from tarballs.opendev.org.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 16:06:16 -0400

python-automaton (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:09:19 +0200

python-automaton (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:15:50 +0200

python-automaton (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 16:39:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: python-automaton
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-prettytable,
- python3-six,
- python3-stestr,
- python3-testtools,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-prettytable (>= 0.7.2),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-automaton
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-automaton.git
-Homepage: https://github.com/openstack/automaton
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
+Homepage: https://opendev.org/openstack/automaton
 
 Package: python-automaton-doc
 Section: doc
@@ -50,9 +51,9 @@
 Architecture: all
 Depends:
  python3-debtcollector,
- python3-pbr,
- python3-prettytable,
- python3-six,
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.2),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-automaton 2.2.0

=== requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 six>=1.10.0 # MIT
 
 # For pretty formatting machines/state tables...
-PrettyTable<0.8,>=0.7.1 # BSD
+PrettyTable<0.8,>=0.7.2 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generating sphinx documentation
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-automaton (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 22:37:59 +0200

python-automaton (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 12:29:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: python-automaton
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslotest (>= 1:3.2.0),
- python3-prettytable (>= 0.7.2),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-testtools (>= 2.2.0),
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-prettytable,
+ python3-six,
+ python3-stestr,
+ python3-testtools,
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-automaton
-Homepage: https://opendev.org/openstack/automaton
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-automaton
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-automaton.git
+Homepage: https://github.com/openstack/automaton
 
 Package: python-automaton-doc
 Section: doc
@@ -51,9 +50,9 @@
 Architecture: all
 Depends:
  python3-debtcollector,
- python3-pbr (>= 2.0.0),
- python3-prettytable (>= 0.7.2),
- python3-six (>= 1.10.0),
+ python3-pbr,
+ python3-prettytable,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/automaton.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-automaton-doc/usr/share/doc/python-automaton-doc/html
	dh_sphinxdoc
endif

## python-automaton 2.3.0

=== debian/changelog ===
python-automaton (2.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:30:19 +0000

python-automaton (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 11:18:56 +0000

## python-automaton 2.4.0

=== debian/changelog ===
python-automaton (2.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:31:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: python-automaton
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-prettytable,
- python3-six,
- python3-stestr,
- python3-testtools,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-prettytable (>= 0.7.2),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-automaton
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-automaton.git
-Homepage: https://github.com/openstack/automaton
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-automaton
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-automaton
+Homepage: https://opendev.org/openstack/automaton
 
 Package: python-automaton-doc
 Section: doc
@@ -50,9 +51,9 @@
 Architecture: all
 Depends:
  python3-debtcollector,
- python3-pbr,
- python3-prettytable,
- python3-six,
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.2),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = https://github.com/openstack/automaton.git
+export PYBUILD_NAME=automaton
+
+UPSTREAM_GIT = https://opendev.org/openstack/automaton.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-automaton 3.0.1

=== debian/changelog ===
python-automaton (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 16:51:31 +0200

python-automaton (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:11:51 +0200

python-automaton (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Mar 2022 15:50:38 +0100

python-automaton (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 09:48:34 +0100

python-automaton (2.4.0-3) unstable; urgency=medium

  * Add missing ${sphinxdoc:Depends} in python-automaton-doc (Closes: #990654).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 18:19:47 +0100

python-automaton (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 09:57:48 +0200

python-automaton (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 16:16:18 +0200

python-automaton (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:15:43 +0200

python-automaton (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed -six from (build-)depends, removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:46:08 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/automaton/tags .*/(\d[\d\.]+)\.tar\.gz

## python-automaton 3.1.0

=== debian/changelog ===
python-automaton (3.1.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 22 Aug 2023 13:15:09 +0000

python-automaton (3.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049288).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 15:13:26 +0200

python-automaton (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:15:27 +0200

python-automaton (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:42:11 +0100

## python-automaton 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,5 @@
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-# Python 2->3 compatibility library.
-six>=1.10.0 # MIT
-
 # For pretty formatting machines/state tables...
-PrettyTable<0.8,>=0.7.2 # BSD
+PrettyTable>=0.7.2 # BSD

=== debian/changelog ===
python-automaton (3.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090463).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:51:50 +0100

python-automaton (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Sep 2023 16:56:41 +0200

python-automaton (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Sep 2023 13:48:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,31 @@
 Source: python-automaton
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslotest (>= 1:3.2.0),
- python3-prettytable (>= 0.7.2),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-testtools (>= 2.2.0),
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-prettytable,
+ python3-stestr,
+ python3-testtools,
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-automaton
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-automaton
-Homepage: https://opendev.org/openstack/automaton
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-automaton
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-automaton.git
+Homepage: https://github.com/openstack/automaton
 
 Package: python-automaton-doc
 Section: doc
@@ -35,6 +33,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ${sphinxdoc:Depends},
 Suggests:
  python-automaton-doc,
 Description: friendly state machines - Python 3.x
@@ -51,9 +50,8 @@
 Architecture: all
 Depends:
  python3-debtcollector,
- python3-pbr (>= 2.0.0),
- python3-prettytable (>= 0.7.2),
- python3-six (>= 1.10.0),
+ python3-pbr,
+ python3-prettytable,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=automaton
-
-UPSTREAM_GIT = https://opendev.org/openstack/automaton.git
+UPSTREAM_GIT = https://github.com/openstack/automaton.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-automaton 3.3.0

=== requirements.txt ===
# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr>=2.0.0 # Apache-2.0

# For pretty formatting machines/state tables...
PrettyTable>=0.7.2 # BSD

=== doc/requirements.txt ===
# For generating sphinx documentation
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-automaton (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 13:18:03 +0100

python-automaton (3.2.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1049288).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:51:02 +0100
